[SM-Commit] GIT changes to stable-0.4 grimoire by Jaka Kranjc (2a17544821e564c4d9f3c0640338321a680b4754)

Jaka Kranjc scm at mail.sourcemage.org
Mon Jan 1 15:22:29 EST 2007


GIT changes to stable-0.4 grimoire by Jaka Kranjc <lynxlynxlynx at sourcemage.org>:

 smgl/init.d/HISTORY |    3 +++
 smgl/init.d/PREPARE |    4 ++--
 2 files changed, 5 insertions(+), 2 deletions(-)

New commits:
commit 2a17544821e564c4d9f3c0640338321a680b4754
Author: Jaka Kranjc <lynxlynxlynx at sourcemage.org>
Commit: Jaka Kranjc <lynxlynxlynx at sourcemage.org>

    Changed exit 1's to return 1's, bug #12838.
    
    Conflicts:
    
    	smgl/init.d/HISTORY

diff --git a/smgl/init.d/HISTORY b/smgl/init.d/HISTORY
index a2d5beb..c7d0581 100644
--- a/smgl/init.d/HISTORY
+++ b/smgl/init.d/HISTORY
@@ -1,3 +1,6 @@
+2006-07-11 Juuso Alasuutari <iuso at sourcemage.org>
+	* PREPARE: Changed exit 1's to return 1's, bug #12838.
+
 2006-02-15 Andrew "ruskie" Levstik <ruskie at mages.ath.cx>
 	* init.d/mountall.sh: fixes for bug #10509, minor fix
 	* WIP: holding this fix back for 1 week from today so that
diff --git a/smgl/init.d/PREPARE b/smgl/init.d/PREPARE
index ea6ed67..e4f7b61 100755
--- a/smgl/init.d/PREPARE
+++ b/smgl/init.d/PREPARE
@@ -10,7 +10,7 @@ if  [  !  -f  $SGL_LIBRARY_MODULES/libin
   message "If you cast init.d as part of an install queue, e.g. during a"
   message "'sorcery system-update', then you can rerun the install queue"
   message "with 'cast --queue' after updating sorcery."
-  exit 1
+  return 1
 fi
 if  [  !  -x  /bin/false  ]  ;  then
   message -n "${PROBLEM_COLOR}"
@@ -22,7 +22,7 @@ if  [  !  -x  /bin/false  ]  ;  then
   message "If you cast init.d as part of an install queue, e.g. during a"
   message "'sorcery system-update', then you can rerun the install queue"
   message "with 'cast --queue' after casting coreutils."
-  exit 1
+  return 1
 fi
 
 message -n "${SPELL_COLOR}"



More information about the SM-Commit mailing list